Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Repository/Values/Content/Query/Criterion/PermissionSubtree.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Repository\Values\Content\Query\Criterion;
8
9 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Subtree as APISubtreeCriterion;
10
23 class PermissionSubtree extends APISubtreeCriterion
24 {
28 public static function createFromQueryBuilder($target, $operator, $value)
29 {
30 @trigger_error('The ' . __METHOD__ . ' method is deprecated since version 7.2 and will be removed in 8.0.', E_USER_DEPRECATED);
31
32 return new self($value);
33 }
34 }
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Subtree
Criterion that matches content that belongs to a given (list of) Subtree(s).
Definition: API/Repository/Values/Content/Query/Criterion/Subtree.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$target
$target
Definition: API/Repository/Values/Content/Query/Criterion.php:35
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$operator
$operator
Definition: API/Repository/Values/Content/Query/Criterion.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$value
$value
Definition: API/Repository/Values/Content/Query/Criterion.php:28
eZ\Publish\Core\Repository\Values\Content\Query\Criterion\PermissionSubtree
Criterion that matches content that belongs to a given (list of) Subtree(s).
Definition: Repository/Values/Content/Query/Criterion/PermissionSubtree.php:24
eZ\Publish\Core\Repository\Values\Content\Query\Criterion\PermissionSubtree\createFromQueryBuilder
static createFromQueryBuilder($target, $operator, $value)
Definition: Repository/Values/Content/Query/Criterion/PermissionSubtree.php:28
eZ\Publish\Core\Repository\Values\Content\Query\Criterion
Definition: Repository/Values/Content/Query/Criterion/PermissionSubtree.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.